<ui:composition 
xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	template="/front/front.xhtml"
	xmlns:p="http://primefaces.org/ui">
	
	<ui:define name="back-img">
		<div class="page-header header-filter" data-parallax="true" style="background-image: url('../resources/Backend/Login/img/background-image.jpg');" ></div>
	</ui:define>
	
	<ui:define name = "content" >
	
		<div class="tim-typo">
			<h2 class="title">Tenant account validation</h2>
		</div>
		
		<h:panelGroup rendered="#{not empty userBean.GetPendingUser(userBean.token)}">	
		
		<h:dataTable value="#{userBean.pendingTenants}" var="e"
				 class="table">
				<h:column>
					<f:facet name="header">
						<h:outputText value="Email" />
					</f:facet>
					<h:outputText value="#{e.email}" />
				</h:column>
				<h:column>
					<f:facet name="header">
						<h:outputText value="Status" />
					</f:facet>
					<h:outputText value="#{e.status}" />
				</h:column>
				<h:column>
					<f:facet name="header">
						<h:outputText value="Organization" />
					</f:facet>
					<h:outputText value="#{e.tenantName}" />
				</h:column>				
				<h:column>
					<f:facet name="header">
						<h:outputText value="Action" />
					</f:facet>
					<form>
					<h:commandButton action="#{userBean.ValidateTenant(userBean.token,e.userId)}"
						value="Validate" styleClass="btn btn-rose btn-raised btn-primary" />  
					<h:commandButton action="#{userBean.RejectTenant(userBean.token,e.userId)}"
						value="Reject" styleClass="btn btn-rose btn-raised btn-primary" />
					</form>	
				</h:column>
			</h:dataTable>
		
		</h:panelGroup>
	    
	    <h:panelGroup rendered="#{empty userBean.pendingTenants}">
    	<div class="alert alert-info">
    	<div class="container">
            <div class="alert-icon">
                <i class="material-icons">info_outline</i>
            </div>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true"><i class="material-icons">clear</i></span>
            </button>
            <b>Info alert:</b> There is any tenant waiting for validation
        </div>
    	</div>
    	</h:panelGroup> 
    	 		
	</ui:define>
   
</ui:composition>
